# CullingVolume

#### new Cesium.CullingVolume(planes)
Core/CullingVolume.js 17

The culling volume defined by planes.

Name | Type | Description
--- | --- | ---
`planes` | Array.<Cartesian4> | optional An array of clipping planes.

### Members

#### planes : Array.<Cartesian4>
Core/CullingVolume.js 25

Each plane is represented by a Cartesian4 object, where the x, y, and z components define the unit vector normal to the plane, and the w component is the distance of the plane from the origin.

Default Value: `[]`

### Methods

#### static Cesium.CullingVolume.fromBoundingSphere(boundingSphere, result) → CullingVolume
Core/CullingVolume.js 45

Constructs a culling volume from a bounding sphere. Creates six planes that create a box containing the sphere. The planes are aligned to the x, y, and z axes in world coordinates.

Name | Type | Description
--- | --- | ---
`boundingSphere` | BoundingSphere | The bounding sphere used to create the culling volume.
`result` | CullingVolume | optional The object onto which to store the result.

##### Returns:

The culling volume created from the bounding sphere.

#### computeVisibility(boundingVolume) → Intersect
Core/CullingVolume.js 106

Determines whether a bounding volume intersects the culling volume.

Name | Type | Description
--- | --- | ---
`boundingVolume` | Object | The bounding volume whose intersection with the culling volume is to be tested.

##### Returns:

Intersect.OUTSIDE, Intersect.INTERSECTING, or Intersect.INSIDE.